## com.bbn.openmap.layer.policy
Class FullProjectionRenderPolicy

    java.lang.Object
      com.bbn.openmap.MapHandlerChild
          com.bbn.openmap.OMComponent
              com.bbn.openmap.layer.policy.StandardRenderPolicy
                  com.bbn.openmap.layer.policy.FullProjectionRenderPolicy

All Implemented Interfaces:
  java.beans.beancontext.BeanContextChild, java.beans.beancontext.BeanContextMembershipListener, java.util.EventListener, LightMapHandlerChild, PropertyConsumer, RenderPolicy

public class FullProjectionRenderPolicy
extends StandardRenderPolicy

The FullProjectionRenderPolicy is a StandardRenderPolicy that sets the clip of the java.awt.Graphics passed into the paint method with the clipping area of the projection. You'll need to use this render policy if you want to paint into a buffer that is bigger than the layer size (and MapBean size), because Java sets the max clipping size to the size of the component.

This class seems useless, because it looks like the StandardRenderPolicy does the same thing automatically.

Field Summary

Fields inherited from class com.bbn.openmap.layer.policy.StandardRenderPolicy
`composite, DEBUG, layer`

Fields inherited from class com.bbn.openmap.OMComponent
`i18n, propertyPrefix`

Fields inherited from class com.bbn.openmap.MapHandlerChild
`beanContextChildSupport`

Fields inherited from interface com.bbn.openmap.PropertyConsumer
`EditorProperty, initPropertiesProperty, LabelEditorProperty, ScopedEditorProperty`

Constructor Summary
`FullProjectionRenderPolicy()`
`FullProjectionRenderPolicy(OMGraphicHandlerLayer layer)` Don't pass in a null layer.

Method Summary
`void` `paint(java.awt.Graphics g)` Called from OMGraphicHandlerLayer.paint(Graphics), so the policy can handle the painting for the layer.

Methods inherited from class com.bbn.openmap.layer.policy.StandardRenderPolicy
`getComposite, getLayer, prepare, setComposite, setCompositeOnGraphics, setLayer`

Methods inherited from class com.bbn.openmap.OMComponent
`getProperties, getPropertyInfo, getPropertyPrefix, setProperties, setProperties, setPropertyPrefix`

Methods inherited from class com.bbn.openmap.MapHandlerChild
`addPropertyChangeListener, addVetoableChangeListener, childrenAdded, childrenRemoved, findAndInit, findAndInit, findAndUndo, firePropertyChange, fireVetoableChange, getBeanContext, removePropertyChangeListener, removeVetoableChangeListener, setBeanContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FullProjectionRenderPolicy

    public FullProjectionRenderPolicy()

### FullProjectionRenderPolicy

    public FullProjectionRenderPolicy(OMGraphicHandlerLayer layer)

  Don't pass in a null layer.

Method Detail

### paint

    public void paint(java.awt.Graphics g)

  Description copied from interface: `RenderPolicy`
  Called from OMGraphicHandlerLayer.paint(Graphics), so the policy can handle the painting for the layer. If you are going to change the Graphics object in this method, you should make a copy of it first using the Graphics.create() method so the changes won't affect other layers.

  Specified by:
    `paint` in interface `RenderPolicy`
  Overrides:
    `paint` in class `StandardRenderPolicy`

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details